/*
 * Qt5-UKUI's Library
 *
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Jing Tan <tanjing@kylinos.cn>
 *
 */

#include "tokenparameter.h"
#include <QDebug>
#include <QApplication>
#include <QGSettings>
#include <QFontDatabase>
#include <QIcon>
#include <QColor>

using namespace UKUIQQC2Style;
TokenParameter::TokenParameter()
{  
    //UKUIGlobalDTConfig::GlobalDTConfig dtConfig;

}

TokenParameter::~TokenParameter()
{
    deleteInstance();
}

UKUIGlobalDTConfig::GlobalDTConfig* TokenParameter:: getInstance()
{
    if(dt == nullptr)
        dt = new UKUIGlobalDTConfig::GlobalDTConfig();

    return dt;
}

void TokenParameter::deleteInstance()
{
    if(dt){
        delete dt;
        dt = nullptr;
    }
}

//const std::shared_ptr<UKUIQQC2Style::UKUIButton> &TokenParameter::button() const
//{
//    return m_button;
//}

//void TokenParameter::setButton(std::shared_ptr<UKUIQQC2Style::UKUIButton> &newButton)
//{
//    if (m_button == newButton)
//        return;
//    m_button = newButton;
//    emit buttonChanged();
//}
